Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.precision
Class CommonBitsRemover

    java.lang.Object
      com.vividsolutions.jts.precision.CommonBitsRemover

public class CommonBitsRemover
extends java.lang.Object

Allow computing and removing common mantissa bits from one or more Geometries.

Version:
  1.7

Constructor Summary
`CommonBitsRemover()`

Method Summary
`void` | `add(Geometry geom)` Add a geometry to the set of geometries whose common bits are being computed.
`void` | `addCommonBits(Geometry geom)` Adds the common coordinate bits back into a Geometry.
`Coordinate` | `getCommonCoordinate()` The common bits of the Coordinates in the supplied Geometries.
`Geometry` | `removeCommonBits(Geometry geom)` Removes the common coordinate bits from a Geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonBitsRemover

    public CommonBitsRemover()

Method Detail

### add

    public void add(Geometry geom)

  Add a geometry to the set of geometries whose common bits are being computed. After this method has executed the common coordinate reflects the common bits of all added geometries.

  Parameters:
    `geom` - a Geometry to test for common bits

### getCommonCoordinate

    public Coordinate getCommonCoordinate()

  The common bits of the Coordinates in the supplied Geometries.

### removeCommonBits

    public Geometry removeCommonBits(Geometry geom)

  Removes the common coordinate bits from a Geometry. The coordinates of the Geometry are changed.

  Parameters:
    `geom` - the Geometry from which to remove the common coordinate bits
  Returns:
    the shifted Geometry

### addCommonBits

    public void addCommonBits(Geometry geom)

  Adds the common coordinate bits back into a Geometry. The coordinates of the Geometry are changed.

  Parameters:
    `geom` - the Geometry to which to add the common coordinate bits
  Returns:
    the shifted Geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD